> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yorlet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a price

> Retrieve a price



## OpenAPI

````yaml openapi-billing.json GET /v1/prices/{id}
openapi: 3.1.0
info:
  title: Yorlet Billing API
  description: APIs for managing invoices, coupons, credit grants, and subscription items.
  version: 1.0.0
servers:
  - url: https://api.yorlet.com
    description: Production
  - url: https://api.yorlet.io
    description: Sandbox
security: []
paths:
  /v1/prices/{id}:
    get:
      tags:
        - Prices
      summary: Retrieve a price
      description: Retrieve a price
      operationId: prices_retrieve
      parameters:
        - schema:
            type: string
            description: The id identifier.
          required: true
          description: The id identifier.
          name: id
          in: path
      responses:
        '200':
          description: Returns a price object if a valid identifier was provided.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: Unique identifier for the object.
                  created:
                    type: number
                    description: >-
                      Time at which the object was created. Measured in seconds
                      since the Unix epoch.
                  account:
                    type: string
                    description: >-
                      The account that the object belongs to. Only returned if
                      the request is made with a valid Yorlet-Context header.
                  deleted:
                    type: boolean
                    default: false
                    description: Only returned if the object has been deleted.
                  object:
                    type: string
                    enum:
                      - price
                  active:
                    type: boolean
                    description: Whether the price is active.
                  amount:
                    type: integer
                    description: The amount of the price, represented as a whole integer.
                  currency:
                    type: string
                    enum:
                      - gbp
                      - usd
                      - eur
                      - sek
                    description: >-
                      Three-letter ISO currency code, in lowercase. Must be a
                      supported currency.
                    example: gbp
                  default_tax_rate:
                    anyOf:
                      - type: string
                      - type: object
                        additionalProperties: {}
                      - type: 'null'
                    description: The default tax rate for the price.
                  default_transfer_destination:
                    anyOf:
                      - type: string
                      - type: object
                        additionalProperties: {}
                      - type: 'null'
                    description: The default transfer destination for the price.
                  description:
                    type:
                      - string
                      - 'null'
                    description: The description of the price.
                  metadata:
                    type:
                      - object
                      - 'null'
                    additionalProperties:
                      type: string
                    description: >-
                      Set of key-value pairs that you can attach to an object.
                      This can be useful for storing additional information
                      about the object in a structured format.
                  product:
                    anyOf:
                      - type: string
                      - type: object
                        additionalProperties: {}
                    description: The product the price belongs to.
                  recurring:
                    type:
                      - object
                      - 'null'
                    properties:
                      interval:
                        type: string
                        enum:
                          - month
                          - week
                        description: The interval of the price.
                      interval_count:
                        type: integer
                        description: The interval count of the price.
                    required:
                      - interval
                      - interval_count
                    description: The recurring interval for the price.
                  transfer_behavior:
                    type:
                      - string
                      - 'null'
                    enum:
                      - owner
                      - none
                      - null
                    description: The transfer behavior for the price.
                  type:
                    type: string
                    enum:
                      - recurring
                      - one_time
                    description: The type of the price.
                required:
                  - id
                  - created
                  - object
                  - active
                  - amount
                  - currency
                  - default_tax_rate
                  - default_transfer_destination
                  - description
                  - product
                  - recurring
                  - transfer_behavior
                  - type
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: API Key authentication. Use "Bearer YOUR_API_KEY".

````